<template>
  <transition
    enter-from-class="opacity-0"
    enter-active-class="transition duration-300"
    leave-to-class="opacity-0"
    leave-active-class="transition duration-300"
  >
    <div class="fixed top-0 bottom-0 left-0 right-0 bg-black/80 flex justify-center items-center">
      <div
        class="shadow-lg overflow-x-auto flex flex-col bg-white rounded-2xl w-full max-w-2xl mx-4"
      >
        <div class="p-8 flex justify-between items-baseline">
          <h2 class="font-bold text-2xl"><slot name="header" /></h2>
          <button
            type="button"
            class="font-bold px-2 text-2xl cursor-pointer text-gray-500 hover:text-gray-800"
            @click="close"
          >
            x
          </button>
        </div>

        <section class="px-8 pb-6">
          <slot name="body" />
        </section>
      </div>
    </div>
  </transition>
</template>

<script>
export default {
  methods: {
    close() {
      this.$emit('closeModal')
    }
  }
}
</script>
